[curry] Re: pakcs installation gave "inappropriate ioctl" error; I tried to rebuild `pakcs`; now I can't even build `pakcs`

From: Michael Hanus <mh_at_informatik.uni-kiel.de>
Date: Mon, 3 Dec 2018 17:23:06 +0100

Hi Jeff,

I have no idea where the "resource database" error comes from.
The implementation of PAKCS does not have any kind of this error
message.

However, after looking at your make logs, I saw the lines

    "/home/jeff/logic/curry/install/pakcs-2.0.2/bin/pakcs-frontend"
--flat --extended -Wnone -i. FilePath -D__PAKCS__=200
    Segmentation fault (core dumped)

which produced the final errors. Thus, it seems that the binary of
the frontend is corrupted. Either this was a result of errors
during copying, or the pre-compiled binary is not compatible to
your machine (it was build on Debian 8.9).

Thus, I recommend to install PAKCS from its sources

https://www.informatik.uni-kiel.de/~pakcs/download/pakcs-2.0.2-src.tar.gz

which will also generate a fresh binary of the frontend
(but requires GHC).

Best regards,

Michael



On 12/2/18 11:34 PM, Jeffrey Brown wrote:
> [This email is duplicated in markdown form here
> <https://github.com/JeffreyBenjaminBrown/curry-studies/blob/9ce2c82c4649835ce733cbec773b58e790241ebb/pakcs-broken.md>[0].]
>
> `pakcs` started giving me this error, no matter where I ran it from:
>
>     jeff_at_jeff-inspiron-2017:~/logic/curry/rslt$ pakcs
>     [FATAL ERROR: at Sun Dec  2 17:07:26 2018
>             Could not open resource database
> "/home/jeff/logic/curry/install/pakcs-2.0.2/bin/cypm": Inappropriate
> ioctl for device]
>     
>     jeff_at_jeff-inspiron-2017:~/logic/curry/rslt$ cd ..
>
> After installing `pakcs` (from `pakcs-2.0.2-amd64-Linux.tar.gz`), I had
> made a copy of the folder. I figured the original must have got
> corrupted, so I deleted it and replaced it with the copy that I made
> after first installing. I still got the same "inappropriate ioctl"
> error. So I tried running `make` again, without first running `make
> clean`. I got this error
> <https://github.com/JeffreyBenjaminBrown/curry-studies/blob/a59cf8ee1a6d469d4dc06aaf34bbe07f884a9d65/pakcs-broken/first-make.txt>[1].
>
> Then I ran `make clean`, and got no apparent errors
> <https://github.com/JeffreyBenjaminBrown/curry-studies/blob/a59cf8ee1a6d469d4dc06aaf34bbe07f884a9d65/pakcs-broken/make-clean.txt>[2].
>
> But I still can't `make` the project
> <https://github.com/JeffreyBenjaminBrown/curry-studies/blob/a59cf8ee1a6d469d4dc06aaf34bbe07f884a9d65/pakcs-broken/last-make.txt>[3].
>
> [0] https://github.com/JeffreyBenjaminBrown/curry-studies/blob/9ce2c82c4649835ce733cbec773b58e790241ebb/pakcs-broken.md
>
> [1]
> https://github.com/JeffreyBenjaminBrown/curry-studies/blob/a59cf8ee1a6d469d4dc06aaf34bbe07f884a9d65/pakcs-broken/first-make.txt
>
> [2]
> https://github.com/JeffreyBenjaminBrown/curry-studies/blob/a59cf8ee1a6d469d4dc06aaf34bbe07f884a9d65/pakcs-broken/make-clean.txt
>
> [3]
> https://github.com/JeffreyBenjaminBrown/curry-studies/blob/a59cf8ee1a6d469d4dc06aaf34bbe07f884a9d65/pakcs-broken/last-make.txt
>
> --
> Jeff Brown | Jeffrey Benjamin Brown
> Website <https://msu.edu/~brown202/>   |   Facebook
> <https://www.facebook.com/mejeff.younotjeff>   |   LinkedIn
> <https://www.linkedin.com/in/jeffreybenjaminbrown>(spammy, so I often
> miss messages here)   |   Github
> <https://github.com/jeffreybenjaminbrown>   
>
> _______________________________________________
> curry mailing list -- curry_at_lists.rwth-aachen.de
> To unsubscribe send an email to curry-leave_at_lists.rwth-aachen.de
> https://lists.rwth-aachen.de/postorius/lists/curry.lists.rwth-aachen.de
>
_______________________________________________
curry mailing list -- curry_at_lists.rwth-aachen.de
To unsubscribe send an email to curry-leave_at_lists.rwth-aachen.de
https://lists.rwth-aachen.de/postorius/lists/curry.lists.rwth-aachen.de
Received on Mo Dez 03 2018 - 17:23:47 CET

This archive was generated by hypermail 2.3.0 : Do Dez 12 2019 - 07:15:12 CET